PDA

View Full Version : Ultimate Fade out slideshow v. 2.4 and IE7



wdm1
03-21-2011, 04:26 PM
Ultimate Fade out slideshow v. 2.4 and IE

http://wdm1.com/agi/

I've gone through every previous solution in the forums line by line and have not had any luck in getting this to work. Ultimate Fade out slideshow works great in FF, Safari and Chrome, but will not work in IE7. This is the error I get:

Error on Page
Line: 117
Char: 165
Error: Invalid argument.
Code: 0
URL: http://wdm1.com/agi/

Is there any hope of a simple solution to getting this to work? Javascript is really not my thing. Thanks in advance!

jscheuer1
03-21-2011, 05:23 PM
That's unusual I can assure you. It appears to be a minor and obscure (only happens sometimes in IE, must be rare from my experience) bug in jQuery 1.4.2. I couldn't figure out why, didn't really look into it too deeply, as I found it went away if I updated to jQuery 1.4.4 or even to the latest, jQuery 1.5.1 - So I would suggest doing just that. Change (from the page's source code):


<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>

to:


<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js"></script>

wdm1
03-21-2011, 05:49 PM
That was it!! I love simple solutions. Hopefully this will help other people with the same issue. Why do my clients still insist on using old versions of IE!!?!?!?!?

BTW, everyone on past forums said that you're the MAN, John. And indeed, you are.

A tremendous amount of thanks!!!

jscheuer1
03-22-2011, 02:51 AM
You're welcome!


Why do my clients still insist on using old versions of IE!!?!?!?!?

I tested in IE 9 RC1, which being a Release Candidate, cannot be considered current. IE 8 is still the current IE version. It worked fine in IE 9. However, even in the current IE 8 (IE 9 emulating IE 8 that is), the same error appeared. So I wouldn't say this time it's the fault of clients using an outdated version of IE.

That said, both designers and clients have to decide how long they are going to support older versions of IE.